Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620756 - [RFE] Delegating some of admin authorities to other group admin's like gss
[RFE] Delegating some of admin authorities to other group admin's like gss
Status: CLOSED WONTFIX
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.7
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Nick Coghlan
GroupModel
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 08:26 EDT by Nilesh Patil
Modified: 2013-04-15 04:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-15 04:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nilesh Patil 2010-08-03 08:26:19 EDT
Description of problem:
As a gss lab admin, I can not add lab controller to beaker.engineering.redhat.com. It would be good if we delegate some admin authorities to admin's from other groups for ease. 

You would may like to have separate tab for ADMIN's when they login. There you can specify all admin related tasks which can be done by admin's.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1.
2.
3.
  
Actual results:
NEW FEATURE

Expected results:
GSS Lab admin should be able to add lab-controller in beaker.

Additional info:
Comment 1 Nick Coghlan 2012-10-17 00:37:05 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 2 Nick Coghlan 2013-04-15 04:14:49 EDT
We have no plans to allow delegation of the ability to add lab controllers (and hence entire new labs) to the system, separate from being granted full Beaker admin privileges (which does indeed give you access to the Admin tab in the Beaker UI).

(Actually adding the lab controller to the system is just one small step in the process of setting up a lab controller, and the only step that requires admin access to the Beaker installation).
Comment 3 Nick Coghlan 2013-04-15 04:15:54 EDT
Note that some current admin-only capabilities are being extended to all users as part of the Beaker 1.x series. See http://beaker-project.org/dev/proposals/handling-large-installations.html for details.

Note You need to log in before you can comment on or make changes to this bug.